#!/bin/sh

[ $# -eq 1 ] && Display="$1" || Display=":0"

cd /tmp

# Lancer X  l'arrire-plan
/usr/X11R6/bin/X $Display &
# Mmoriser le PID de la dernire commande en arrire-plan (X)
PID_X=$!

# Lancer l'application  l'arrire-plan
/usr/local/bin/lanceur "/usr/local/bin/xterm -geometry +200+200 -display $Display.0 " &
# Mmoriser son PID
PID_APPLI=$!

# Configurer le fond d'cran et le curseur avec xsetroot
/usr/X11R6/bin/xsetroot -solid blue -cursor_name left_ptr -display $Display.0

# Attendre la fin de l'application
wait $PID_APPLI

# Tuer par prcaution le serveur X (qui devrait dj tre fini)
kill -TERM $PID_X
